package me.icymint.libra.sas.exception;

import java.io.File;
import java.io.IOException;
import java.nio.charset.Charset;

import org.apache.commons.io.FileUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class SasRunErrorException extends SasException {

	/**
	 * 
	 */
	private static final long serialVersionUID = 2294073092608211834L;
	protected final Logger logger = LoggerFactory.getLogger(getClass());

	private final File error;

	public SasRunErrorException(File error) {
		this.error = error;
	}

	public void printErrorLog() {
		try {
			logger.error(FileUtils.readFileToString(error,
					Charset.forName("GBK")));
		} catch (IOException e) {
			logger.error("错误日志文件过大" + error);
		}
	}
}
